import { CommandBase, PostCommandContext } from '../base/CommandBase';
import { Doc } from '../../view/Doc';
import { CommandPayloadMap } from '../types';
export declare class SetMaterialConsumeTable extends CommandBase<'setMaterialConsumeTable'> {
    constructor(doc: Doc, payload?: CommandPayloadMap['setMaterialConsumeTable']);
    protected execute(): Promise<PostCommandContext>;
}
